<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The Ambassadors</Series>
  <Number>6</Number>
  <Web>https://www.amazon.com/dp/B0C6BVPHVL</Web>
  <Summary>MINISERIES FINALE

The Ambassador for Mexico completes the team as they face their first major conflict together and find out the truth behind Choon-He Chung's husband's superhuman upgrade programme and the rich guys around the world who have paid him a fortune for it.</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0C6BVPHVL]</Notes>
  <Publisher>Image</Publisher>
  <Genre>Action/Adventure, Superhero</Genre>
  <PageCount>46</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
